Subject: Re: Re: drop counts

From: [email-masked]
Date: Tue, 26 Jul 2005 09:36:34 +0100

Jesse Brandeburg wrote:
> On Thu, 21 Jul 2005, [email-masked] wrote:
> 
>> In 2.6.12 this changed to:
>>
>> packets = gprc
>> dropped = mpc
>> fifo = mpc
>> missed = mpc
>>
>> I think there still is a problem. Notice that /proc/net/dev
>> reports rx_dropped + rx_missed_errors for the drop column,
>> and so will be double counting drops currently.
>> Therefore I think we should be doing:
>>
>> packets = gprc
>> dropped = 0
>> fifo = rnbc
>> missed = mpc
> 
> 
> Double counting drops may be an issue, and I believe we should make that 
> change.

great.

> but I don't think its the right thing to report rnbc in fifo 
> errors (there was actually no error).
> 
>> I'm putting rnbc in fifo as it's not accumulated into
>> anything else in the kernel. Also it's good to have
>> it reported as one can see when there is pressure on
>> the e1000 driver buffer. This is useful for tuning its size
>> to protect against drops and latency.
> 
> 
> Whenever I want the RNBC numbers I simply look into ethtool -S eth0, and 
> that allows me to tune.  I see no reason to "reuse" the fifo errors stat 
> with misleading data.

Fair enough if rnbc is actually reported.
ethtool -S doesn't report it with my driver,
but I see this stat has been added to the
latest driver at least.

So I agree on both points.

thanks!

-- 
Pádraig Brady - http://www.pixelbeat.org
--

-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. http://ads.osdn.com/?ad_idt77&alloc_id492&op=click